forked from pool/virtualbox
030c30350e
- VirtualBox 7.0.6 (released January 17 2023) This is a maintenance release. The following items were fixed and/or added: [1] - VMM: Fixed guru running the FreeBSD loader on older Intel CPUs without unrestricted guest support (bug #21332) - GUI: Fixed virtual machines grouping when VM was created or modified in command line (bugs #11500, #20933) - GUI: Introduced generic changes in settings dialogs - VirtioNet: Fixed broken network after loading saved state (bug #21172) - Storage: Added support for increasing the size of the following VMDK image variants: monolithicFlat, monolithicSparse, twoGbMaxExtentSparse, twoGbMaxExtentFlat - VBoxManage: Added missing --directory switch for guestcontrol mktemp command - Mouse Integration: Guest was provided with extended host mouse state (bug #21139) - DnD: Introduced generic improvements - Guest Control: Fixed handling creation mode for temporary directories (bug #21394) - Linux Host and Guest: Added initial support for building UEK7 kernel on Oracle Linux 8 - Linux Host and Guest: Added initial support for RHEL 9.1 kernel - Linux Guest Additions: Added initial support for kernel 6.2 for vboxvideo - Audio: The "--audio" option in VBoxManage is now marked as deprecated; please use "--audio-driver" and "--audio-enabled" instead. This will allow more flexibility when changing the driver and/or controlling the audio functionality Additionally, it fixes 6 CVE's: [2] CVE-2023-21886 Oracle VM VirtualBox Core Multiple Yes 8.1 Network High None None Un- changed High High High Prior to 6.1.42, prior to 7.0.6 CVE-2023-21898 Oracle VM VirtualBox Core None No 5.5 Local Low Low None Un- changed None None High Prior to 6.1.42, prior to 7.0.6 See Note 1 CVE-2023-21899 Oracle VM VirtualBox Core None No 5.5 Local Low Low None Un- changed None None High Prior to 6.1.42, prior to 7.0.6 See Note 1 CVE-2023-21884 Oracle VM VirtualBox Core None No 4.4 Local Low High None Un- changed None None High Prior to 6.1.42, prior to 7.0.6 CVE-2023-21885 Oracle VM VirtualBox Core None No 3.8 Local Low Low None Changed Low None None Prior to 6.1.42, prior to 7.0.6 See Note 2 CVE-2023-21889 Oracle VM VirtualBox Core None No 3.8 Local Low Low None Changed Low None None Prior to 6.1.42, prior to 7.0.6 Note 1: Applies to VirtualBox VMs running Windows 7 and later. Note 2: Applies to Windows only. Links: OBS-URL: https://build.opensuse.org/request/show/1060705 OBS-URL: https://build.opensuse.org/package/show/Virtualization/virtualbox?expand=0&rev=673
244 lines
9.1 KiB
Diff
244 lines
9.1 KiB
Diff
Index: VirtualBox-7.0.6/src/VBox/Additions/linux/installer/vboxadd.sh
|
|
===================================================================
|
|
--- VirtualBox-7.0.6.orig/src/VBox/Additions/linux/installer/vboxadd.sh
|
|
+++ VirtualBox-7.0.6/src/VBox/Additions/linux/installer/vboxadd.sh
|
|
@@ -36,11 +36,14 @@
|
|
# Provides: vboxadd
|
|
# Required-Start:
|
|
# Required-Stop:
|
|
-# Default-Start: 2 3 4 5
|
|
+# Should-Start: $remote_fs
|
|
+# Should-Stop: $remote_fs
|
|
+# Default-Start: 2 3 5
|
|
# Default-Stop: 0 1 6
|
|
# X-Start-Before: display-manager
|
|
# X-Service-Type: oneshot
|
|
# Description: VirtualBox Linux Additions kernel modules
|
|
+# Short-Description: VirtualBox Linux Additions kernel modules
|
|
### END INIT INFO
|
|
|
|
## @todo This file duplicates a lot of script with vboxdrv.sh. When making
|
|
@@ -145,20 +148,11 @@ module_build_log()
|
|
|
|
dev=/dev/vboxguest
|
|
userdev=/dev/vboxuser
|
|
-config=/var/lib/VBoxGuestAdditions/config
|
|
owner=vboxadd
|
|
group=1
|
|
|
|
-if test -r $config; then
|
|
- . $config
|
|
-else
|
|
- fail "Configuration file $config not found"
|
|
-fi
|
|
-test -n "$INSTALL_DIR" -a -n "$INSTALL_VER" ||
|
|
- fail "Configuration file $config not complete"
|
|
MODULE_SRC="$INSTALL_DIR/src/vboxguest-$INSTALL_VER"
|
|
BUILDINTMP="$MODULE_SRC/build_in_tmp"
|
|
-
|
|
# Attempt to detect VirtualBox Guest Additions version and revision information.
|
|
VBOXCLIENT="${INSTALL_DIR}/bin/VBoxClient"
|
|
VBOX_VERSION="`"$VBOXCLIENT" --version | cut -d r -f1`"
|
|
@@ -208,12 +202,6 @@ do_vboxguest_non_udev()
|
|
fail "Cannot create device $dev with major $maj and minor $min"
|
|
}
|
|
fi
|
|
- chown $owner:$group $dev 2>/dev/null || {
|
|
- rm -f $dev 2>/dev/null
|
|
- rm -f $userdev 2>/dev/null
|
|
- rmmod vboxguest 2>/dev/null
|
|
- fail "Cannot change owner $owner:$group for device $dev"
|
|
- }
|
|
|
|
if [ ! -c $userdev ]; then
|
|
maj=10
|
|
@@ -224,12 +212,6 @@ do_vboxguest_non_udev()
|
|
rmmod vboxguest 2>/dev/null
|
|
fail "Cannot create device $userdev with major $maj and minor $min"
|
|
}
|
|
- chown $owner:$group $userdev 2>/dev/null || {
|
|
- rm -f $dev 2>/dev/null
|
|
- rm -f $userdev 2>/dev/null
|
|
- rmmod vboxguest 2>/dev/null
|
|
- fail "Cannot change owner $owner:$group for device $userdev"
|
|
- }
|
|
fi
|
|
fi
|
|
}
|
|
@@ -293,7 +275,7 @@ cleanup_modules()
|
|
done
|
|
if test -z "${keep}"; then
|
|
rm -rf /lib/modules/"${KERN_VER}"
|
|
- rm -f /boot/initrd.img-"${KERN_VER}"
|
|
+ rm -f /boot/initrd.img-"${KERN_VER}"
|
|
fi
|
|
done
|
|
for i in ${OLDMODULES}; do
|
|
@@ -564,9 +546,9 @@ create_udev_rule()
|
|
udevcontrol reload_rules >/dev/null 2>&1 || true
|
|
fi
|
|
}
|
|
-
|
|
-create_module_rebuild_script()
|
|
-{
|
|
+ # And an rc file to re-build the kernel modules and re-set-up the X server.
|
|
+ ln -sf "$lib_path/$PACKAGE/vboxadd" /sbin/rcvboxadd
|
|
+ #ln -sf "$lib_path/$PACKAGE/vboxadd-x11" /sbin/rcvboxadd-x11
|
|
# And a post-installation script for rebuilding modules when a new kernel
|
|
# is installed.
|
|
mkdir -p /etc/kernel/postinst.d /etc/kernel/prerm.d
|
|
@@ -747,18 +729,17 @@ setup()
|
|
already available for kernel $TARGET_VER and do not require to be rebuilt."
|
|
else
|
|
info "Building the VirtualBox Guest Additions kernel modules. This may take a while."
|
|
- info "To build modules for other installed kernels, run"
|
|
- info " /sbin/rcvboxadd quicksetup <version>"
|
|
- info "or"
|
|
- info " /sbin/rcvboxadd quicksetup all"
|
|
- if test -d /lib/modules/"$TARGET_VER"/build; then
|
|
- setup_modules "$TARGET_VER"
|
|
- depmod
|
|
- else
|
|
- info "Kernel headers not found for target kernel $TARGET_VER. \
|
|
+ info "To build modules for other installed kernels, run"
|
|
+ info " /sbin/rcvboxadd quicksetup <version>"
|
|
+ info "or"
|
|
+ info " /sbin/rcvboxadd quicksetup all"
|
|
+ if test -d /lib/modules/"$TARGET_VER"/build; then
|
|
+ setup_modules "$TARGET_VER"
|
|
+ depmod
|
|
+ else
|
|
+ info "Kernel headers not found for target kernel $TARGET_VER. \
|
|
Please install them and execute
|
|
/sbin/rcvboxadd setup"
|
|
- fi
|
|
fi
|
|
fi
|
|
create_vbox_user
|
|
@@ -775,17 +756,14 @@ Please install them and execute
|
|
# Put the X.Org driver in place. This is harmless if it is not needed.
|
|
# Also set up the OpenGL library.
|
|
myerr=`"${INSTALL_DIR}/init/vboxadd-x11" setup 2>&1`
|
|
- test -z "${myerr}" || log "${myerr}"
|
|
-
|
|
- return 0
|
|
+ succ_msg
|
|
}
|
|
|
|
# cleanup_script
|
|
cleanup()
|
|
{
|
|
- if test -z "${INSTALL_NO_MODULE_BUILDS}"; then
|
|
- # Delete old versions of VBox modules.
|
|
- cleanup_modules
|
|
+ # Delete old versions of VBox modules.
|
|
+ cleanup_modules
|
|
depmod
|
|
|
|
# Remove old module sources
|
|
@@ -795,12 +773,13 @@ cleanup()
|
|
fi
|
|
|
|
# Clean-up X11-related bits
|
|
- "${INSTALL_DIR}/init/vboxadd-x11" cleanup
|
|
+ #/sbin/rcvboxadd-x11 cleanup
|
|
|
|
# Remove other files
|
|
- if test -z "${INSTALL_NO_MODULE_BUILDS}"; then
|
|
- rm -f /etc/kernel/postinst.d/vboxadd /etc/kernel/prerm.d/vboxadd
|
|
- rmdir -p /etc/kernel/postinst.d /etc/kernel/prerm.d 2>/dev/null || true
|
|
+ rm /sbin/rcvboxadd 2>/dev/null
|
|
+ #rm /sbin/rcvboxadd-x11 2>/dev/null
|
|
+ rm -f /etc/kernel/postinst.d/vboxadd /etc/kernel/prerm.d/vboxadd
|
|
+ rmdir -p /etc/kernel/postinst.d /etc/kernel/prerm.d 2>/dev/null || true
|
|
fi
|
|
rm -f /sbin/mount.vboxsf 2>/dev/null
|
|
rm -f /etc/udev/rules.d/60-vboxadd.rules 2>/dev/null
|
|
@@ -839,7 +818,7 @@ for your Linux distribution."
|
|
rm -f $userdev || {
|
|
fail "Cannot remove $userdev"
|
|
}
|
|
- $MODPROBE vboxguest >/dev/null 2>&1 ||
|
|
+ $MODPROBE vboxguest >/dev/null 2>&1 || {
|
|
fail "modprobe vboxguest failed"
|
|
case "$no_udev" in 1)
|
|
sleep .5;;
|
|
Index: VirtualBox-7.0.6/src/VBox/Additions/linux/installer/vboxadd-service.sh
|
|
===================================================================
|
|
--- VirtualBox-7.0.6.orig/src/VBox/Additions/linux/installer/vboxadd-service.sh
|
|
+++ VirtualBox-7.0.6/src/VBox/Additions/linux/installer/vboxadd-service.sh
|
|
@@ -36,7 +36,7 @@
|
|
# Provides: vboxadd-service
|
|
# Required-Start: vboxadd
|
|
# Required-Stop: vboxadd
|
|
-# Default-Start: 2 3 4 5
|
|
+# Default-Start: 2 3 5
|
|
# Default-Stop: 0 1 6
|
|
# X-Conflicts-With: systemd-timesyncd.service
|
|
# Description: VirtualBox Additions Service
|
|
Index: VirtualBox-7.0.6/src/VBox/Installer/linux/vboxautostart-service.sh
|
|
===================================================================
|
|
--- VirtualBox-7.0.6.orig/src/VBox/Installer/linux/vboxautostart-service.sh
|
|
+++ VirtualBox-7.0.6/src/VBox/Installer/linux/vboxautostart-service.sh
|
|
@@ -33,7 +33,7 @@
|
|
# Provides: vboxautostart-service
|
|
# Required-Start: vboxdrv
|
|
# Required-Stop: vboxdrv
|
|
-# Default-Start: 2 3 4 5
|
|
+# Default-Start: 2 3 5
|
|
# Default-Stop: 0 1 6
|
|
# Description: VirtualBox autostart service
|
|
### END INIT INFO
|
|
Index: VirtualBox-7.0.6/src/VBox/Installer/linux/vboxballoonctrl-service.sh
|
|
===================================================================
|
|
--- VirtualBox-7.0.6.orig/src/VBox/Installer/linux/vboxballoonctrl-service.sh
|
|
+++ VirtualBox-7.0.6/src/VBox/Installer/linux/vboxballoonctrl-service.sh
|
|
@@ -33,7 +33,7 @@
|
|
# Provides: vboxballoonctrl-service
|
|
# Required-Start: vboxdrv
|
|
# Required-Stop: vboxdrv
|
|
-# Default-Start: 2 3 4 5
|
|
+# Default-Start: 2 3 5
|
|
# Default-Stop: 0 1 6
|
|
# Description: VirtualBox watchdog daemon
|
|
### END INIT INFO
|
|
Index: VirtualBox-7.0.6/src/VBox/ValidationKit/testboxscript/linux/testboxscript-service.sh
|
|
===================================================================
|
|
--- VirtualBox-7.0.6.orig/src/VBox/ValidationKit/testboxscript/linux/testboxscript-service.sh
|
|
+++ VirtualBox-7.0.6/src/VBox/ValidationKit/testboxscript/linux/testboxscript-service.sh
|
|
@@ -41,7 +41,7 @@
|
|
# Provides: testboxscript-service
|
|
# Required-Start: $network
|
|
# Required-Stop:
|
|
-# Default-Start: 2 3 4 5
|
|
+# Default-Start: 2 3 5
|
|
# Default-Stop: 0 1 6
|
|
# Description: TestBoxScript service
|
|
### END INIT INFO
|
|
Index: VirtualBox-7.0.6/src/VBox/ValidationKit/utils/TestExecServ/linux/vboxtxs-nat.sh
|
|
===================================================================
|
|
--- VirtualBox-7.0.6.orig/src/VBox/ValidationKit/utils/TestExecServ/linux/vboxtxs-nat.sh
|
|
+++ VirtualBox-7.0.6/src/VBox/ValidationKit/utils/TestExecServ/linux/vboxtxs-nat.sh
|
|
@@ -41,7 +41,7 @@
|
|
# Provides: vboxtxs
|
|
# Required-Start: $network
|
|
# Required-Stop:
|
|
-# Default-Start: 2 3 4 5
|
|
+# Default-Start: 2 3 5
|
|
# Default-Stop: 0 1 6
|
|
# Description: VirtualBox Test Execution Service
|
|
### END INIT INFO
|
|
Index: VirtualBox-7.0.6/src/VBox/ValidationKit/utils/TestExecServ/linux/vboxtxs.sh
|
|
===================================================================
|
|
--- VirtualBox-7.0.6.orig/src/VBox/ValidationKit/utils/TestExecServ/linux/vboxtxs.sh
|
|
+++ VirtualBox-7.0.6/src/VBox/ValidationKit/utils/TestExecServ/linux/vboxtxs.sh
|
|
@@ -41,7 +41,7 @@
|
|
# Provides: vboxtxs
|
|
# Required-Start: $network
|
|
# Required-Stop:
|
|
-# Default-Start: 2 3 4 5
|
|
+# Default-Start: 2 3 5
|
|
# Default-Stop: 0 1 6
|
|
# Description: VirtualBox Test Execution Service
|
|
### END INIT INFO
|